# DataExchange
TKXSBase
Interface

# Interface_SignLabel Class Reference

Signature to give the Label from the Model
.

`#include <Interface_SignLabel.hxx>`

Inheritance diagram for Interface_SignLabel:

[legend]

## Public Member Functions

Standard_EXPORT | Interface_SignLabel ()
Standard_EXPORT Standard_CString | Name () const
| Returns "Entity Label" .
Standard_EXPORT TCollection_AsciiString | Text (const Handle(Standard_Transient)&ent, const Handle(Standard_Transient)&context) const
| Considers context as an InterfaceModel and returns the Label computed by it .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Interface_SignLabel::Interface_SignLabel | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const Interface_SignLabel::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MoniTool_SignText.

Standard_EXPORT Standard_CString Interface_SignLabel::Name | ( |  | ) | const`[virtual]`

| Implements MoniTool_SignText.

Standard_EXPORT TCollection_AsciiString Interface_SignLabel::Text | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Standard_Transient)& | context
| ) | const`[virtual]`

| Implements MoniTool_SignText.

The documentation for this class was generated from the following file:

- Interface_SignLabel.hxx